#
# spec file for package gnome-sharp2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name gnome-sharp

Name:           gnome-sharp2
Version:        2.24.2
Release:        lp150.1.3
Summary:        Mono bindings for GNOME
License:        LGPL-2.1
Group:          System/GUI/GNOME
Url:            http://www.mono-project.com/GtkSharp
Source:         http://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.24/%{_name}-%{version}.tar.bz2
Patch0:         fix-sample-mono-path.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig(gapi-2.0)
BuildRequires:  pkgconfig(glade-sharp-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gnome-vfs-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtk-sharp-2.0)
BuildRequires:  pkgconfig(libgnomecanvas-2.0)
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(mono-cairo)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains Mono bindings for GNOME.

%package -n gnome-sharp2-complete
Summary:        GTK+ and GNOME bindings for Mono (virtual package)
Group:          System/GUI/GNOME
Requires:       art-sharp2 = %{version}
Requires:       gconf-sharp2 = %{version}
Requires:       gnome-sharp2 = %{version}
Requires:       gnome-vfs-sharp2 = %{version}

%description -n gnome-sharp2-complete
Gtk# is a library that allows you to build fully native graphical GNOME
applications using Mono. Gtk# is a binding to GTK+, the cross platform
user interface toolkit used in GNOME. It includes bindings for Gtk,
Atk, Pango, Gdk, libgnome, libgnomeui and libgnomecanvas.  (Virtual
package which depends on all gtk-sharp2 subpackages)

%package -n gnome-vfs-sharp2
Summary:        Mono bindings for gnomevfs
Group:          System/GUI/GNOME

%description -n gnome-vfs-sharp2
This package contains Mono bindings for gnomevfs.

%package -n art-sharp2
Summary:        Mono bindings for libart
Group:          System/GUI/GNOME

%description -n art-sharp2
This package contains Mono bindings for libart.

%package -n gconf-sharp2
Summary:        Mono bindings for gconf
Group:          System/GUI/GNOME

%description -n gconf-sharp2
This package contains Mono bindings for gconf and gconf peditors.

%package -n gconf-sharp-peditors2
Summary:        Mono bindings for gconf property editors
Group:          System/GUI/GNOME

%description -n gconf-sharp-peditors2
This package contains Mono bindings for gconf property editors.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
autoreconf -fiv
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure \
    --libexecdir=%{_prefix}/lib \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name '*.la' -delete -print

%post -n gnome-sharp2 -p /sbin/ldconfig

%postun -n gnome-sharp2 -p /sbin/ldconfig

%files -n gnome-sharp2-complete
%defattr(-, root, root)
%dir %{_prefix}/lib/gtk-sharp-2.0
%dir %{_prefix}/lib/mono/gtk-sharp-2.0

%files -n gnome-sharp2
%defattr(-,root,root)
%{_datadir}/gapi-2.0/gnome-api.xml
%{_libdir}/libgnomesharpglue-2.so
%{_libdir}/pkgconfig/gnome-sharp-2.0.pc
%{_prefix}/lib/mono/gac/*gnome-sharp
%{_prefix}/lib/mono/gtk-sharp-2.0/*gnome-sharp.dll

%files -n gnome-vfs-sharp2
%defattr(-,root,root)
%{_datadir}/gapi-2.0/gnome-vfs-api.xml
%{_libdir}/pkgconfig/gnome-vfs-sharp-2.0.pc
%{_prefix}/lib/mono/gac/*gnome-vfs-sharp
%{_prefix}/lib/mono/gtk-sharp-2.0/*gnome-vfs-sharp.dll

%files -n art-sharp2
%defattr(-,root,root)
%{_datadir}/gapi-2.0/art-api.xml
%{_libdir}/pkgconfig/art-sharp-2.0.pc
%{_prefix}/lib/mono/gac/*art-sharp
%{_prefix}/lib/mono/gtk-sharp-2.0/*art-sharp.dll

%files -n gconf-sharp2
%defattr(-, root, root)
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/pkgconfig/gconf-sharp-2.0.pc
%{_prefix}/lib/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{_prefix}/lib/mono/gac/*gconf-sharp
%{_prefix}/lib/mono/gtk-sharp-2.0/*gconf-sharp.dll

%files -n gconf-sharp-peditors2
%defattr(-, root, root)
%{_libdir}/pkgconfig/gconf-sharp-peditors-2.0.pc
%{_prefix}/lib/mono/gac/*gconf-sharp-peditors
%{_prefix}/lib/mono/gtk-sharp-2.0/*gconf-sharp-peditors.dll

%changelog
* Tue May 16 2017 jengelh@inai.de
- Remove redundant %%clean section.
* Tue May  2 2017 fwdsbs.to.11df@xoxy.net
- Added fix-sample-mono-path.patch: fix incorrect MONO_PATH env when building samples in order to fix build for upcoming Mono 5.0
- Added "post" and "postun" sections for gnome-sharp2 package with calls to ldconfig in order to fix build "library-without-ldconfig-postun" OBS error
* Sat Feb  4 2012 dimstar@opensuse.org
- Change License tag to SPDX identifier: LGPL-2.1.
* Mon Jul 25 2011 andrea.turrini@gmail.com
- Fixed typos in descriptions of gnome-sharp2.spec
* Fri Jul  8 2011 vuntz@opensuse.org
- Split gconf-sharp-peditors2 subpackage, to avoid making
  gconf-sharp2 depend on gnome-sharp2 and friends.
* Thu Jun  9 2011 dimstar@opensuse.org
- Help the build to choose the right packages by using
  pkgconfig()-style BuildRequires:
  + Old ones: glade-sharp2, gtk-sharp2, gtk-sharp2-gapi,
    mono-devel, gnome-panel-devel, monodoc-core
  + New ones: mono, mono-cairo, gtk-sharp-2.0, glade-sharp-2.0,
    gnome-vfs-2.0, libgnomecanvas-2.0, libgnomeui-2.0,
    gtk+-2.0, gmodule-2.0, gapi-2.0
- Remove unneeded BuildRequires:
  + librsvg-devel, vte-devel, gtkhtml2-devel, gnome-panel-devel,
    update-desktop-files.
- Spec-cleanup using spec-cleaner
* Fri Oct 29 2010 ajorgensen@novell.com
- Spec cleanup
- Update to 2.24.2
  * Remove Mono.GetOptions dep
  * Fix bgo#483251
* Thu Sep 30 2010 vuntz@opensuse.org
- Remove libgnomedb-devel BuildRequires: there is no binding for
  this.
* Tue Jan 26 2010 ajorgensen@novell.com
- Update to 2.24.1
  * Fix bgo#469663
* Tue Aug 11 2009 ajorgensen@novell.com
- ppc64 is native now (don't use biarchcompat)
* Mon Sep  8 2008 ajorgensen@novell.com
- Update to 2.24
  * Update to Gnome 2.24 API
  * Remove print and panel APIs from gnome-sharp.dll into their own
    assemblies now located in gnome-desktop-sharp
* Thu Apr 24 2008 wberrier@suse.de
- Update to 2.12.1
  * Bugfix in GLib ref management for Gnome.Program crash in
  gnome-sharp
* Fri Apr  4 2008 wberrier@novell.com
- Can now build 2.16 and 2.20 from the same spec
- Update to 2.20.0
  - Updated bindings to coincide with gtk# 2.12
  - Removed bindings: gtkhtml#, rsvg#, and vte#
* Thu Mar 27 2008 wberrier@novell.com
- Update to 2.16.1
  - Allow storage of empty lists in gconf
  - Bug fixes:
  - [GConf] Impossible to set empty list values (bnc#325516)
  - Comment #8 of bnc#327058 (incorrect p/invoke bindings)
* Wed Jul  4 2007 wberrier@suse.de
- Initial package of gnome-sharp2 2.16.0
  - (Split from gtk-sharp 2.8.3)
